Delete a function
Requires an API key with the environment:functions:delete scope. Learn more about API key scopes.
Deletes a deployed function and enqueues its async teardown. Functions managed by nango deploy (repo source) cannot be deleted through this endpoint.
Deletes a deployed function and enqueues its async teardown. Functions managed by nango deploy (repo source) cannot be deleted through this endpoint. Requires an API key with the environment:functions:delete scope.
bearerAuthAuthorizationBearer <token>An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.
uniqueKey*stringThe integration ID (unique_key) that you created in Tenklo.
name*stringThe name of the function.
type*stringRequired to disambiguate a sync and an action that share a name. On-event functions are not yet supported.
"sync""action"Successfully enqueued the function deletion
application/json- response
data*curl -X DELETE 'https://api.tenklo.dev/integrations/string/functions/string?type=sync'{ "data": { "success": true }}